UploadLoadingScreenActivity

com.j0h1.contour

## Class UploadLoadingScreenActivity

- java.lang.Object
- - Activity
  - - com.j0h1.contour.UploadLoadingScreenActivity

-     public class UploadLoadingScreenActivity
      extends Activity

  Activity that is responsible for requesting a upload of the session and image data to the server and show the user feedback of the progress.
  Author:
    Johannes Riedmann

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private class` | `UploadLoadingScreenActivity.LoadViewTask` Background task that executes the session upload.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ProgressDialog` | `progressDialog`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UploadLoadingScreenActivity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onConfigurationChanged(Configuration newConfig)` The activity handles the orientation changes itself, so on every orientation change (portrait to landscape and vice versa) this method is called.
    `void` | `onCreate(Bundle savedInstanceState)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### progressDialog

          private ProgressDialog progressDialog

  - ### Constructor Detail

    - #### UploadLoadingScreenActivity

          public UploadLoadingScreenActivity()

  - ### Method Detail

    - #### onCreate

          public void onCreate(Bundle savedInstanceState)

    - #### onConfigurationChanged

          public void onConfigurationChanged(Configuration newConfig)

      The activity handles the orientation changes itself, so on every orientation change (portrait to landscape and vice versa) this method is called.